﻿using System;
using System.Collections.ObjectModel;
using System.Linq;
using Microsoft.Practices.Composite.Regions;
using Microsoft.Practices.Unity;
using Telerik.Windows.Controls;

namespace Module1.ViewModels
{
	public class Module1ViewModel : ViewModelBase
	{
		public string Header { get; set; }

		private bool isSelected;
		public bool IsSelected
		{
			get
			{
				return this.isSelected;
			}
			set
			{
				if (this.isSelected != value)
				{
					this.isSelected = value;
					this.OnPropertyChanged("IsSelected");
				}
			}
		}

        private ObservableCollection<SecondLevelItemViewModel> items;
        public ObservableCollection<SecondLevelItemViewModel> Items
        {
            get { return this.items; }
            set
            {
                if (this.items != value)
                {
                    this.items = value;
                    this.OnPropertyChanged("Items");
                }
            }
        }
        
		public Module1ViewModel()
		{
			this.Header = "Module 1 Header";

            this.items = new ObservableCollection<SecondLevelItemViewModel>();
            this.items.Add(new SecondLevelItemViewModel() { Header = "Child Item" });
            this.items.Add(new SecondLevelItemViewModel() { Header = "Child Item" });
            this.items.Add(new SecondLevelItemViewModel() { Header = "Child Item" });
            this.items.Add(new SecondLevelItemViewModel() { Header = "Child Item" });
		}
	}
}